> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task

> Updates a task. Most commonly used to update the completed_at field when the task is complete.



## OpenAPI

````yaml patch /tasks/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /tasks/{public_id}:
    patch:
      tags:
        - tasks
      description: >-
        Updates a task. Most commonly used to update the completed_at field when
        the task is complete.
      operationId: tasks_partial_update
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedTask'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedTask'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedTask'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedTask:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        category:
          $ref: '#/components/schemas/TaskCategoryEnum'
        memo:
          type: string
          nullable: true
        employer:
          type: string
          readOnly: true
        assignee:
          type: string
          readOnly: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        started_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
    Task:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        category:
          $ref: '#/components/schemas/TaskCategoryEnum'
        memo:
          type: string
          nullable: true
        employer:
          type: string
          readOnly: true
        assignee:
          type: string
          readOnly: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        started_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - assignee
        - category
        - created_at
        - employer
        - id
    TaskCategoryEnum:
      enum:
        - member_update
        - dependent_update
        - enrollment_update
      type: string
      description: |-
        * `member_update` - Member Update
        * `dependent_update` - Dependent Update
        * `enrollment_update` - Enrollment Update
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````